#include "waste.h"
#include <cstdio>
#include <cstdlib>
#include <algorithm>

using namespace std;

#define MAX_T  1000
#define MAX_CHECK 200

typedef pair<int,int> intpair;

static int t;
static int ns[MAX_T];
static int ks[MAX_T];
static intpair pts[MAX_T][10];

static int test_counter;
static int check_counter;

static void read_input()
{
  scanf("%d",&t);
  for(int i=0; i<t; i++) {
    scanf("%d",&ns[i]);
    scanf("%d",&ks[i]);
    for(int j=0; j<ks[i]; j++)
      scanf("%d %d",
            &pts[i][j].first,
            &pts[i][j].second);
  }
}

int init_all()
{
  read_input();
  test_counter = -1;
  return t;
}

int init()
{
  test_counter++;
  check_counter = 0;
  return ns[test_counter];
}

bool check(int r, int c)
{
  check_counter++;
  if(check_counter > MAX_CHECK) {
    printf("Too many calls\n");
    exit(0);
  }

  for(int j=0; j<ks[test_counter]; j++)
    if((pts[test_counter][j].first <= r) &&
       (pts[test_counter][j].second <= c))
      return true;
  return false;
}

void report(int m, int rs[], int cs[])
{
  intpair output[10];

  if(m!=ks[test_counter]) {
    printf("Wrong answer\n");
    exit(0);
  }
  for(int i=0; i<m; i++) {
    output[i].first = rs[i];
    output[i].second = cs[i];
  }

  sort(output,output+m);
  sort(pts[test_counter],pts[test_counter]+m);

  for(int i=0; i<m; i++)
    if((output[i].first != pts[test_counter][i].first) ||
       (output[i].second != pts[test_counter][i].second)) {
      printf("Wrong answer\n");
      exit(0);
    }
  printf("OK\n");
}

